/*
 * GraphicEnvironment.java
 *
 * Created on November 25, 2008, 7:10 AM
 */

import javax.swing.JFrame;
import java.lang.Thread;

/**
 * Programa desarrollado como parte de la memoria de tirulación
 * para optar al titulo de Ingeniero Civil Electrónico
 * de la Universidad Técnica Federico Santa María, Valparaiso - Chile
 * 
 * @author  Nicolas Navarro
 * E-mail: nicolas.navarro@gmx.de
 * @version 0.1
 * @since 1.6
 */
public class GraphicEnvironment extends JFrame {
    /** Creates new form GUILongRangeNav */
    private boolean stop;
    public GraphicEnvironment() {
        initComponents();
        for (int i = 0; i< 4; i++){
            recongnizedMapPanel.addTrace(70, 60);
            recongnizedMapPanel.addTrace(100, 60);
            recongnizedMapPanel.addTrace(100, 90);
            recongnizedMapPanel.addTrace(110, 120);
        }
    }

    /** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">
    private void initComponents() {

        jTabbedPane1 = new javax.swing.JTabbedPane();
        simulationTab = new javax.swing.JPanel();
        recongnizedMapPanel = new RecognizedMap();
        globalMapPanel = new GlobalMap();
        startButton = new javax.swing.JButton();
        stopButton = new javax.swing.JButton();
        restartButton = new javax.swing.JButton();
        clearButton = new javax.swing.JButton();
        motivationsPanel = new javax.swing.JPanel();
        batteryLabel = new javax.swing.JLabel();
        curiosityLabel = new javax.swing.JLabel();
        riskLabel = new javax.swing.JLabel();
        missionLabel = new javax.swing.JLabel();
        batteryQuote = new javax.swing.JTextField();
        curiosityQuote = new javax.swing.JTextField();
        riskQuote = new javax.swing.JTextField();
        missionQuote = new javax.swing.JTextField();
        navigatorTab = new javax.swing.JPanel();
        gaParametersPanel = new javax.swing.JPanel();
        generationLabel = new javax.swing.JLabel();
        generationQuote = new javax.swing.JTextField();
        populationLabel = new javax.swing.JLabel();
        populationQuote = new javax.swing.JTextField();
        CrossoverLabel = new javax.swing.JLabel();
        CrossoverQuote = new javax.swing.JTextField();
        crossoverHelpLabel = new javax.swing.JLabel();
        mutationLabel = new javax.swing.JLabel();
        mutationQuote = new javax.swing.JTextField();
        mutationHelpLabel = new javax.swing.JLabel();
        selectionMethodLabel = new javax.swing.JLabel();
        selectionMethodQuote = new javax.swing.JTextField();
        selectionNoneLabel = new javax.swing.JLabel();
        slectionEliteLabel = new javax.swing.JLabel();
        selectionTournamentLabel = new javax.swing.JLabel();
        selectionTourEliteLabel = new javax.swing.JLabel();
        robotParametersPanel = new javax.swing.JPanel();
        robotParametersHelpLabel = new javax.swing.JLabel();
        motorNoiseLabel = new javax.swing.JLabel();
        motorNoiseQuote = new javax.swing.JTextField();
        sensorNoiseLabel = new javax.swing.JLabel();
        sensorNoiseQuote = new javax.swing.JTextField();
        energyConfLabel = new javax.swing.JLabel();
        powerTurnQuote = new javax.swing.JTextField();
        powerForwardLabel = new javax.swing.JLabel();
        powerTurnLabel = new javax.swing.JLabel();
        powerForwardQuote = new javax.swing.JTextField();
        actionNumberQuote = new javax.swing.JTextField();
        batteryLevelLabel = new javax.swing.JLabel();
        actionNumberLabel = new javax.swing.JLabel();
        batteryLevelQuote = new javax.swing.JTextField();
        powerReverseLabel = new javax.swing.JLabel();
        powerReverseQuote = new javax.swing.JTextField();
        powerFreezeLabel = new javax.swing.JLabel();
        powerFreezeQuote = new javax.swing.JTextField();
        InformationIOPanel = new javax.swing.JPanel();
        plannerExecFileLabel = new javax.swing.JLabel();
        plannerExecFileQuote = new javax.swing.JTextField();
        bestRouteFileQuote = new javax.swing.JTextField();
        bestRouteFileLabel = new javax.swing.JLabel();
        fitnessFileLabel = new javax.swing.JLabel();
        fitnessFileQuote = new javax.swing.JTextField();
        labyrinthLabel = new javax.swing.JLabel();
        labyrinthQuote = new javax.swing.JTextField();
        copyrightLabel = new javax.swing.JLabel();
        mapperTab = new javax.swing.JPanel();
        mapperConfigPanel = new javax.swing.JPanel();
        mapperExecFileQuote = new javax.swing.JTextField();
        mapperExecFileLabel = new javax.swing.JLabel();
        mapperSyntaxQuote = new javax.swing.JTextField();
        mapperSyntaxLabel = new javax.swing.JLabel();
        closeMapperButton = new javax.swing.JButton();
        cleanMapperButton = new javax.swing.JButton();
        copyrightLabel1 = new javax.swing.JLabel();

        setDefaultCloseOperation(javax.swing.WindowConstants.EXIT_ON_CLOSE);

        jTabbedPane1.setMaximumSize(new java.awt.Dimension(1000, 700));
        jTabbedPane1.setMinimumSize(new java.awt.Dimension(500, 500));
        jTabbedPane1.setPreferredSize(new java.awt.Dimension(830, 650));

        simulationTab.setMaximumSize(new java.awt.Dimension(900, 700));
        simulationTab.setPreferredSize(new java.awt.Dimension(815, 610));

        recongnizedMapPanel.setBackground(new java.awt.Color(255, 255, 255));
        recongnizedMapPanel.setMaximumSize(new java.awt.Dimension(600, 600));
        recongnizedMapPanel.setMinimumSize(new java.awt.Dimension(600, 600));
        recongnizedMapPanel.setPreferredSize(new java.awt.Dimension(600, 600));

        javax.swing.GroupLayout recongnizedMapPanelLayout = new javax.swing.GroupLayout(recongnizedMapPanel);
        recongnizedMapPanel.setLayout(recongnizedMapPanelLayout);
        recongnizedMapPanelLayout.setHorizontalGroup(
            recongnizedMapPanelLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGap(0, 600, Short.MAX_VALUE)
        );
        recongnizedMapPanelLayout.setVerticalGroup(
            recongnizedMapPanelLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGap(0, 600, Short.MAX_VALUE)
        );

        globalMapPanel.setBackground(new java.awt.Color(255, 255, 255));
        globalMapPanel.setMaximumSize(new java.awt.Dimension(200, 200));
        globalMapPanel.setMinimumSize(new java.awt.Dimension(200, 200));
        globalMapPanel.setPreferredSize(new java.awt.Dimension(200, 200));

        javax.swing.GroupLayout globalMapPanelLayout = new javax.swing.GroupLayout(globalMapPanel);
        globalMapPanel.setLayout(globalMapPanelLayout);
        globalMapPanelLayout.setHorizontalGroup(
            globalMapPanelLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGap(0, 200, Short.MAX_VALUE)
        );
        globalMapPanelLayout.setVerticalGroup(
            globalMapPanelLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGap(0, 200, Short.MAX_VALUE)
        );

        startButton.setBackground(new java.awt.Color(0, 255, 0));
        startButton.setText("START");
        startButton.setMaximumSize(new java.awt.Dimension(100, 50));
        startButton.setPreferredSize(new java.awt.Dimension(95, 40));
        startButton.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                startButtonActionPerformed(evt);
            }
        });

        stopButton.setBackground(new java.awt.Color(238, 0, 0));
        stopButton.setText("STOP");
        stopButton.setMaximumSize(new java.awt.Dimension(100, 50));
        stopButton.setPreferredSize(new java.awt.Dimension(95, 40));
        stopButton.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                stopButtonActionPerformed(evt);
            }
        });

        restartButton.setText("RESTART");
        restartButton.setMaximumSize(new java.awt.Dimension(100, 50));
        restartButton.setMinimumSize(new java.awt.Dimension(70, 20));
        restartButton.setPreferredSize(new java.awt.Dimension(95, 40));
        restartButton.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                restartButtonActionPerformed(evt);
            }
        });

        clearButton.setText("CLEAN");
        clearButton.setMaximumSize(new java.awt.Dimension(100, 50));
        clearButton.setMinimumSize(new java.awt.Dimension(70, 20));
        clearButton.setPreferredSize(new java.awt.Dimension(95, 40));
        clearButton.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                clearButtonActionPerformed(evt);
            }
        });

        motivationsPanel.setBorder(javax.swing.BorderFactory.createTitledBorder("Motivations"));

        batteryLabel.setFont(new java.awt.Font("Dialog", 0, 12));
        batteryLabel.setText("Battery");
        batteryLabel.setMaximumSize(new java.awt.Dimension(100, 50));
        batteryLabel.setPreferredSize(new java.awt.Dimension(95, 30));

        curiosityLabel.setFont(new java.awt.Font("Dialog", 0, 12));
        curiosityLabel.setText("Curiosity");
        curiosityLabel.setMaximumSize(new java.awt.Dimension(100, 50));
        curiosityLabel.setPreferredSize(new java.awt.Dimension(95, 30));

        riskLabel.setFont(new java.awt.Font("Dialog", 0, 12));
        riskLabel.setText("Risk");
        riskLabel.setMaximumSize(new java.awt.Dimension(100, 50));
        riskLabel.setPreferredSize(new java.awt.Dimension(95, 30));

        missionLabel.setFont(new java.awt.Font("Dialog", 0, 12));
        missionLabel.setText("Mission");
        missionLabel.setMaximumSize(new java.awt.Dimension(100, 50));
        missionLabel.setPreferredSize(new java.awt.Dimension(95, 30));

        batteryQuote.setText("1.0");
        batteryQuote.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                batteryQuoteActionPerformed(evt);
            }
        });

        curiosityQuote.setText("1.0");
        curiosityQuote.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                curiosityQuoteActionPerformed(evt);
            }
        });

        riskQuote.setText("1.0");
        riskQuote.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                riskQuoteActionPerformed(evt);
            }
        });

        missionQuote.setText("1.0");
        missionQuote.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                missionQuoteActionPerformed(evt);
            }
        });

        javax.swing.GroupLayout motivationsPanelLayout = new javax.swing.GroupLayout(motivationsPanel);
        motivationsPanel.setLayout(motivationsPanelLayout);
        motivationsPanelLayout.setHorizontalGroup(
            motivationsPanelLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(motivationsPanelLayout.createSequentialGroup()
                .addGroup(motivationsPanelLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING, false)
                    .addGroup(motivationsPanelLayout.createSequentialGroup()
                        .addComponent(batteryLabel, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(batteryQuote))
                    .addGroup(motivationsPanelLayout.createSequentialGroup()
                        .addComponent(curiosityLabel, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(curiosityQuote))
                    .addGroup(motivationsPanelLayout.createSequentialGroup()
                        .addComponent(riskLabel, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(riskQuote))
                    .addGroup(motivationsPanelLayout.createSequentialGroup()
                        .addComponent(missionLabel, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(missionQuote, javax.swing.GroupLayout.DEFAULT_SIZE, 79, Short.MAX_VALUE)))
                .addContainerGap(4, Short.MAX_VALUE))
        );
        motivationsPanelLayout.setVerticalGroup(
            motivationsPanelLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(motivationsPanelLayout.createSequentialGroup()
                .addGroup(motivationsPanelLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(batteryLabel, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(batteryQuote, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(motivationsPanelLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(curiosityLabel, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(curiosityQuote, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(motivationsPanelLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(riskLabel, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(riskQuote, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(motivationsPanelLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(missionLabel, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(missionQuote, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)))
        );

        javax.swing.GroupLayout simulationTabLayout = new javax.swing.GroupLayout(simulationTab);
        simulationTab.setLayout(simulationTabLayout);
        simulationTabLayout.setHorizontalGroup(
            simulationTabLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(simulationTabLayout.createSequentialGroup()
                .addContainerGap()
                .addGroup(simulationTabLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(simulationTabLayout.createSequentialGroup()
                        .addComponent(startButton, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addGap(18, 18, 18)
                        .addComponent(stopButton, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                    .addGroup(simulationTabLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING, false)
                        .addComponent(motivationsPanel, javax.swing.GroupLayout.Alignment.LEADING, 0, 200, Short.MAX_VALUE)
                        .addComponent(globalMapPanel, javax.swing.GroupLayout.Alignment.LEADING, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
                    .addGroup(simulationTabLayout.createSequentialGroup()
                        .addGap(1, 1, 1)
                        .addComponent(restartButton, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addGap(18, 18, 18)
                        .addComponent(clearButton, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, 12, Short.MAX_VALUE)
                .addComponent(recongnizedMapPanel, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );
        simulationTabLayout.setVerticalGroup(
            simulationTabLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(simulationTabLayout.createSequentialGroup()
                .addContainerGap()
                .addGroup(simulationTabLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING, false)
                    .addGroup(simulationTabLayout.createSequentialGroup()
                        .addGroup(simulationTabLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                            .addComponent(startButton, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                            .addComponent(stopButton, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                        .addGap(30, 30, 30)
                        .addGroup(simulationTabLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                            .addComponent(restartButton, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                            .addComponent(clearButton, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                        .addGap(53, 53, 53)
                        .addComponent(motivationsPanel, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                        .addComponent(globalMapPanel, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                    .addComponent(recongnizedMapPanel, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );
        jTabbedPane1.addTab("Simulation", simulationTab);

        // Tab del planeador de trayectorias
        navigatorTab.setBorder(javax.swing.BorderFactory.createTitledBorder(null, "", javax.swing.border.TitledBorder.DEFAULT_JUSTIFICATION, javax.swing.border.TitledBorder.DEFAULT_POSITION, new java.awt.Font("DejaVu Sans", 0, 13), new java.awt.Color(0, 0, 0))); // NOI18N
        navigatorTab.setForeground(new java.awt.Color(0, 0, 0));
        navigatorTab.setMaximumSize(new java.awt.Dimension(900, 700));

        gaParametersPanel.setBorder(javax.swing.BorderFactory.createTitledBorder(null, "Genetic Algorithm Parameters", javax.swing.border.TitledBorder.DEFAULT_JUSTIFICATION, javax.swing.border.TitledBorder.DEFAULT_POSITION, new java.awt.Font("DejaVu Sans", 1, 12))); // NOI18N
        gaParametersPanel.setForeground(new java.awt.Color(0, 0, 16));
        gaParametersPanel.setMaximumSize(new java.awt.Dimension(300, 550));
        gaParametersPanel.setPreferredSize(new java.awt.Dimension(260, 500));

        generationLabel.setText("Generations");
        generationLabel.setMaximumSize(new java.awt.Dimension(210, 30));
        generationLabel.setMinimumSize(new java.awt.Dimension(50, 10));
        generationLabel.setPreferredSize(new java.awt.Dimension(150, 30));

        generationQuote.setText("200");
        generationQuote.setMaximumSize(new java.awt.Dimension(100, 50));
        generationQuote.setMinimumSize(new java.awt.Dimension(50, 10));
        generationQuote.setPreferredSize(new java.awt.Dimension(70, 30));
        generationQuote.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                generationQuoteActionPerformed(evt);
            }
        });

        populationLabel.setText("Population Size");
        populationLabel.setMaximumSize(new java.awt.Dimension(210, 30));
        populationLabel.setMinimumSize(new java.awt.Dimension(50, 10));
        populationLabel.setPreferredSize(new java.awt.Dimension(150, 30));

        populationQuote.setText("200");
        populationQuote.setMaximumSize(new java.awt.Dimension(100, 50));
        populationQuote.setMinimumSize(new java.awt.Dimension(50, 10));
        populationQuote.setPreferredSize(new java.awt.Dimension(70, 30));
        populationQuote.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                populationQuoteActionPerformed(evt);
            }
        });

        CrossoverLabel.setText("Crossover Operator");
        CrossoverLabel.setMaximumSize(new java.awt.Dimension(210, 30));
        CrossoverLabel.setMinimumSize(new java.awt.Dimension(50, 10));
        CrossoverLabel.setPreferredSize(new java.awt.Dimension(150, 30));

        CrossoverQuote.setText("1");
        CrossoverQuote.setMaximumSize(new java.awt.Dimension(100, 50));
        CrossoverQuote.setMinimumSize(new java.awt.Dimension(50, 10));
        CrossoverQuote.setPreferredSize(new java.awt.Dimension(70, 30));
        CrossoverQuote.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                CrossoverQuoteActionPerformed(evt);
            }
        });

        crossoverHelpLabel.setFont(new java.awt.Font("DejaVu Sans", 0, 10));
        crossoverHelpLabel.setText("Number of Cross Points");
        crossoverHelpLabel.setMaximumSize(new java.awt.Dimension(210, 30));
        crossoverHelpLabel.setMinimumSize(new java.awt.Dimension(50, 10));
        crossoverHelpLabel.setPreferredSize(new java.awt.Dimension(150, 20));

        mutationLabel.setText("Mutation Rate");
        mutationLabel.setMaximumSize(new java.awt.Dimension(210, 30));
        mutationLabel.setMinimumSize(new java.awt.Dimension(50, 10));
        mutationLabel.setPreferredSize(new java.awt.Dimension(150, 30));

        mutationQuote.setText("1");
        mutationQuote.setMaximumSize(new java.awt.Dimension(100, 50));
        mutationQuote.setMinimumSize(new java.awt.Dimension(50, 10));
        mutationQuote.setPreferredSize(new java.awt.Dimension(70, 30));
        mutationQuote.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                mutationQuoteActionPerformed(evt);
            }
        });

        mutationHelpLabel.setFont(new java.awt.Font("DejaVu Sans", 0, 10));
        mutationHelpLabel.setText("Percentage");
        mutationHelpLabel.setMaximumSize(new java.awt.Dimension(210, 30));
        mutationHelpLabel.setMinimumSize(new java.awt.Dimension(50, 10));
        mutationHelpLabel.setPreferredSize(new java.awt.Dimension(150, 20));

        selectionMethodLabel.setText("Selection Method");
        selectionMethodLabel.setMaximumSize(new java.awt.Dimension(210, 30));
        selectionMethodLabel.setMinimumSize(new java.awt.Dimension(50, 10));
        selectionMethodLabel.setPreferredSize(new java.awt.Dimension(150, 30));

        selectionMethodQuote.setText("3");
        selectionMethodQuote.setMaximumSize(new java.awt.Dimension(100, 50));
        selectionMethodQuote.setMinimumSize(new java.awt.Dimension(50, 10));
        selectionMethodQuote.setPreferredSize(new java.awt.Dimension(70, 30));
        selectionMethodQuote.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                selectionMethodQuoteActionPerformed(evt);
            }
        });

        selectionNoneLabel.setFont(new java.awt.Font("DejaVu Sans", 0, 10));
        selectionNoneLabel.setText("0 -> None");
        selectionNoneLabel.setMaximumSize(new java.awt.Dimension(210, 30));
        selectionNoneLabel.setMinimumSize(new java.awt.Dimension(50, 10));
        selectionNoneLabel.setPreferredSize(new java.awt.Dimension(150, 20));

        slectionEliteLabel.setFont(new java.awt.Font("DejaVu Sans", 0, 10));
        slectionEliteLabel.setText("1 -> Elite");
        slectionEliteLabel.setMaximumSize(new java.awt.Dimension(210, 30));
        slectionEliteLabel.setMinimumSize(new java.awt.Dimension(50, 10));
        slectionEliteLabel.setPreferredSize(new java.awt.Dimension(150, 20));

        selectionTournamentLabel.setFont(new java.awt.Font("DejaVu Sans", 0, 10));
        selectionTournamentLabel.setText("2 -> Tournament");
        selectionTournamentLabel.setMaximumSize(new java.awt.Dimension(210, 30));
        selectionTournamentLabel.setMinimumSize(new java.awt.Dimension(50, 10));
        selectionTournamentLabel.setPreferredSize(new java.awt.Dimension(150, 20));

        selectionTourEliteLabel.setFont(new java.awt.Font("DejaVu Sans", 0, 10));
        selectionTourEliteLabel.setText("3 -> Tournament + Elite");
        selectionTourEliteLabel.setMaximumSize(new java.awt.Dimension(210, 30));
        selectionTourEliteLabel.setMinimumSize(new java.awt.Dimension(50, 10));
        selectionTourEliteLabel.setPreferredSize(new java.awt.Dimension(150, 20));

        javax.swing.GroupLayout gaParametersPanelLayout = new javax.swing.GroupLayout(gaParametersPanel);
        gaParametersPanel.setLayout(gaParametersPanelLayout);
        gaParametersPanelLayout.setHorizontalGroup(
            gaParametersPanelLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(gaParametersPanelLayout.createSequentialGroup()
                .addContainerGap()
                .addGroup(gaParametersPanelLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(gaParametersPanelLayout.createSequentialGroup()
                        .addGroup(gaParametersPanelLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addComponent(generationLabel, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                            .addComponent(populationLabel, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                            .addComponent(CrossoverLabel, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                            .addComponent(mutationLabel, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                            .addComponent(selectionMethodLabel, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                        .addGap(3, 3, 3)
                        .addGroup(gaParametersPanelLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addComponent(generationQuote, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                            .addComponent(populationQuote, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                            .addComponent(CrossoverQuote, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                            .addComponent(mutationQuote, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                            .addComponent(selectionMethodQuote, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)))
                    .addGroup(gaParametersPanelLayout.createSequentialGroup()
                        .addGap(12, 12, 12)
                        .addGroup(gaParametersPanelLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING)
                            .addComponent(mutationHelpLabel, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                            .addComponent(crossoverHelpLabel, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                            .addComponent(selectionNoneLabel, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                            .addComponent(slectionEliteLabel, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                            .addComponent(selectionTournamentLabel, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                            .addComponent(selectionTourEliteLabel, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))))
                .addContainerGap(13, Short.MAX_VALUE))
        );
        gaParametersPanelLayout.setVerticalGroup(
            gaParametersPanelLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(gaParametersPanelLayout.createSequentialGroup()
                .addContainerGap()
                .addGroup(gaParametersPanelLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(gaParametersPanelLayout.createSequentialGroup()
                        .addComponent(generationQuote, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(populationQuote, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(CrossoverQuote, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addGap(27, 27, 27)
                        .addComponent(mutationQuote, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addGap(32, 32, 32)
                        .addComponent(selectionMethodQuote, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                    .addGroup(gaParametersPanelLayout.createSequentialGroup()
                        .addComponent(generationLabel, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(populationLabel, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(CrossoverLabel, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addGap(1, 1, 1)
                        .addComponent(crossoverHelpLabel, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(mutationLabel, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(mutationHelpLabel, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(selectionMethodLabel, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(selectionNoneLabel, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(slectionEliteLabel, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(selectionTournamentLabel, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(selectionTourEliteLabel, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)))
                .addContainerGap(136, Short.MAX_VALUE))
        );

        robotParametersPanel.setBorder(javax.swing.BorderFactory.createTitledBorder(null, "Robot Parameters", javax.swing.border.TitledBorder.DEFAULT_JUSTIFICATION, javax.swing.border.TitledBorder.DEFAULT_POSITION, new java.awt.Font("DejaVu Sans", 1, 13))); // NOI18N
        robotParametersPanel.setForeground(new java.awt.Color(0, 0, 16));
        robotParametersPanel.setMaximumSize(new java.awt.Dimension(500, 600));
        robotParametersPanel.setPreferredSize(new java.awt.Dimension(240, 500));

        robotParametersHelpLabel.setFont(new java.awt.Font("DejaVu Sans", 3, 13));
        robotParametersHelpLabel.setText("Use normalized values");
        robotParametersHelpLabel.setMaximumSize(new java.awt.Dimension(210, 30));
        robotParametersHelpLabel.setMinimumSize(new java.awt.Dimension(50, 10));
        robotParametersHelpLabel.setPreferredSize(new java.awt.Dimension(200, 20));

        motorNoiseLabel.setText("Motor Noise");
        motorNoiseLabel.setMaximumSize(new java.awt.Dimension(210, 30));
        motorNoiseLabel.setMinimumSize(new java.awt.Dimension(50, 10));
        motorNoiseLabel.setPreferredSize(new java.awt.Dimension(120, 30));

        motorNoiseQuote.setText("0.0");
        motorNoiseQuote.setMaximumSize(new java.awt.Dimension(100, 50));
        motorNoiseQuote.setMinimumSize(new java.awt.Dimension(50, 10));
        motorNoiseQuote.setPreferredSize(new java.awt.Dimension(70, 30));
        motorNoiseQuote.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                motorNoiseQuoteActionPerformed(evt);
            }
        });

        sensorNoiseLabel.setText("Sensor Noise");
        sensorNoiseLabel.setMaximumSize(new java.awt.Dimension(210, 30));
        sensorNoiseLabel.setMinimumSize(new java.awt.Dimension(50, 10));
        sensorNoiseLabel.setPreferredSize(new java.awt.Dimension(120, 30));

        sensorNoiseQuote.setText("0.0");
        sensorNoiseQuote.setMaximumSize(new java.awt.Dimension(100, 50));
        sensorNoiseQuote.setMinimumSize(new java.awt.Dimension(50, 10));
        sensorNoiseQuote.setPreferredSize(new java.awt.Dimension(70, 30));
        sensorNoiseQuote.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                sensorNoiseQuoteActionPerformed(evt);
            }
        });

        energyConfLabel.setFont(new java.awt.Font("DejaVu Sans", 2, 13));
        energyConfLabel.setText("Energy Configurations");
        energyConfLabel.setMaximumSize(new java.awt.Dimension(210, 30));
        energyConfLabel.setMinimumSize(new java.awt.Dimension(50, 10));
        energyConfLabel.setPreferredSize(new java.awt.Dimension(150, 20));

        powerTurnQuote.setText("0.05");
        powerTurnQuote.setMaximumSize(new java.awt.Dimension(100, 50));
        powerTurnQuote.setMinimumSize(new java.awt.Dimension(50, 10));
        powerTurnQuote.setPreferredSize(new java.awt.Dimension(70, 30));
        powerTurnQuote.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                powerTurnQuoteActionPerformed(evt);
            }
        });

        powerForwardLabel.setText("Power Forward");
        powerForwardLabel.setMaximumSize(new java.awt.Dimension(210, 30));
        powerForwardLabel.setMinimumSize(new java.awt.Dimension(50, 10));
        powerForwardLabel.setPreferredSize(new java.awt.Dimension(120, 30));

        powerTurnLabel.setText("Power Turn");
        powerTurnLabel.setMaximumSize(new java.awt.Dimension(210, 30));
        powerTurnLabel.setMinimumSize(new java.awt.Dimension(50, 10));
        powerTurnLabel.setPreferredSize(new java.awt.Dimension(120, 30));

        powerForwardQuote.setText("0.1");
        powerForwardQuote.setMaximumSize(new java.awt.Dimension(100, 50));
        powerForwardQuote.setMinimumSize(new java.awt.Dimension(50, 10));
        powerForwardQuote.setPreferredSize(new java.awt.Dimension(70, 30));
        powerForwardQuote.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                powerForwardQuoteActionPerformed(evt);
            }
        });

        actionNumberQuote.setText("400");
        actionNumberQuote.setMaximumSize(new java.awt.Dimension(100, 50));
        actionNumberQuote.setMinimumSize(new java.awt.Dimension(50, 10));
        actionNumberQuote.setPreferredSize(new java.awt.Dimension(70, 30));
        actionNumberQuote.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                actionNumberQuoteActionPerformed(evt);
            }
        });

        batteryLevelLabel.setText("Battery Level");
        batteryLevelLabel.setMaximumSize(new java.awt.Dimension(210, 30));
        batteryLevelLabel.setMinimumSize(new java.awt.Dimension(50, 10));
        batteryLevelLabel.setPreferredSize(new java.awt.Dimension(120, 30));

        actionNumberLabel.setText("Action Number");
        actionNumberLabel.setMaximumSize(new java.awt.Dimension(210, 30));
        actionNumberLabel.setMinimumSize(new java.awt.Dimension(50, 10));
        actionNumberLabel.setPreferredSize(new java.awt.Dimension(120, 30));

        batteryLevelQuote.setText("1.0");
        batteryLevelQuote.setMaximumSize(new java.awt.Dimension(100, 50));
        batteryLevelQuote.setMinimumSize(new java.awt.Dimension(50, 10));
        batteryLevelQuote.setPreferredSize(new java.awt.Dimension(70, 30));
        batteryLevelQuote.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                batteryLevelQuoteActionPerformed(evt);
            }
        });

        powerReverseLabel.setText("Power Reverse");
        powerReverseLabel.setMaximumSize(new java.awt.Dimension(210, 30));
        powerReverseLabel.setMinimumSize(new java.awt.Dimension(50, 10));
        powerReverseLabel.setPreferredSize(new java.awt.Dimension(120, 30));

        powerReverseQuote.setText("0.1");
        powerReverseQuote.setMaximumSize(new java.awt.Dimension(100, 50));
        powerReverseQuote.setMinimumSize(new java.awt.Dimension(50, 10));
        powerReverseQuote.setPreferredSize(new java.awt.Dimension(70, 30));
        powerReverseQuote.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                powerReverseQuoteActionPerformed(evt);
            }
        });

        powerFreezeLabel.setText("Power Freeze");
        powerFreezeLabel.setMaximumSize(new java.awt.Dimension(210, 30));
        powerFreezeLabel.setMinimumSize(new java.awt.Dimension(50, 10));
        powerFreezeLabel.setPreferredSize(new java.awt.Dimension(120, 30));

        powerFreezeQuote.setText("0.01");
        powerFreezeQuote.setMaximumSize(new java.awt.Dimension(100, 50));
        powerFreezeQuote.setMinimumSize(new java.awt.Dimension(50, 10));
        powerFreezeQuote.setPreferredSize(new java.awt.Dimension(70, 30));
        powerFreezeQuote.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                powerFreezeQuoteActionPerformed(evt);
            }
        });

        javax.swing.GroupLayout robotParametersPanelLayout = new javax.swing.GroupLayout(robotParametersPanel);
        robotParametersPanel.setLayout(robotParametersPanelLayout);
        robotParametersPanelLayout.setHorizontalGroup(
            robotParametersPanelLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(robotParametersPanelLayout.createSequentialGroup()
                .addContainerGap()
                .addGroup(robotParametersPanelLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(robotParametersHelpLabel, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addGroup(robotParametersPanelLayout.createSequentialGroup()
                        .addGroup(robotParametersPanelLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addComponent(motorNoiseLabel, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                            .addComponent(sensorNoiseLabel, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                            .addComponent(powerReverseLabel, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                            .addComponent(powerFreezeLabel, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                            .addComponent(powerTurnLabel, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                            .addComponent(powerForwardLabel, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addGroup(robotParametersPanelLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                            .addComponent(motorNoiseQuote, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                            .addComponent(sensorNoiseQuote, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                            .addComponent(powerForwardQuote, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                            .addComponent(powerTurnQuote, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                            .addComponent(powerReverseQuote, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                            .addComponent(powerFreezeQuote, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)))
                    .addComponent(energyConfLabel, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addGroup(robotParametersPanelLayout.createSequentialGroup()
                        .addComponent(actionNumberLabel, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(actionNumberQuote, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                    .addGroup(robotParametersPanelLayout.createSequentialGroup()
                        .addComponent(batteryLevelLabel, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(batteryLevelQuote, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)))
                .addContainerGap(14, Short.MAX_VALUE))
        );
        robotParametersPanelLayout.setVerticalGroup(
            robotParametersPanelLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(robotParametersPanelLayout.createSequentialGroup()
                .addContainerGap()
                .addComponent(robotParametersHelpLabel, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(robotParametersPanelLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(motorNoiseLabel, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(motorNoiseQuote, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(robotParametersPanelLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(sensorNoiseLabel, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(sensorNoiseQuote, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addGap(18, 18, 18)
                .addComponent(energyConfLabel, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(robotParametersPanelLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(batteryLevelLabel, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(batteryLevelQuote, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(robotParametersPanelLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(actionNumberLabel, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(actionNumberQuote, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addGap(18, 18, 18)
                .addGroup(robotParametersPanelLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(powerForwardLabel, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(powerForwardQuote, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(robotParametersPanelLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(powerTurnLabel, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(powerTurnQuote, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(robotParametersPanelLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(powerReverseLabel, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(powerReverseQuote, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addGroup(robotParametersPanelLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(powerFreezeLabel, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(powerFreezeQuote, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addContainerGap(93, Short.MAX_VALUE))
        );

        InformationIOPanel.setBorder(javax.swing.BorderFactory.createTitledBorder(null, "Information: Input-Output", javax.swing.border.TitledBorder.DEFAULT_JUSTIFICATION, javax.swing.border.TitledBorder.DEFAULT_POSITION, new java.awt.Font("DejaVu Sans", 1, 12))); // NOI18N
        InformationIOPanel.setForeground(new java.awt.Color(0, 0, 16));
        InformationIOPanel.setMaximumSize(new java.awt.Dimension(300, 550));
        InformationIOPanel.setPreferredSize(new java.awt.Dimension(280, 500));

        plannerExecFileLabel.setText("Path Planner executable File");
        plannerExecFileLabel.setMaximumSize(new java.awt.Dimension(210, 30));
        plannerExecFileLabel.setMinimumSize(new java.awt.Dimension(50, 10));
        plannerExecFileLabel.setPreferredSize(new java.awt.Dimension(240, 20));

        plannerExecFileQuote.setText("../longRangeNav/longRangeNav.out");
        plannerExecFileQuote.setMaximumSize(new java.awt.Dimension(100, 50));
        plannerExecFileQuote.setMinimumSize(new java.awt.Dimension(50, 10));
        plannerExecFileQuote.setPreferredSize(new java.awt.Dimension(250, 30));
        plannerExecFileQuote.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                plannerExecFileQuoteActionPerformed(evt);
            }
        });

        bestRouteFileQuote.setText("../outputData/bestPath.txt");
        bestRouteFileQuote.setMaximumSize(new java.awt.Dimension(100, 50));
        bestRouteFileQuote.setMinimumSize(new java.awt.Dimension(50, 10));
        bestRouteFileQuote.setPreferredSize(new java.awt.Dimension(250, 30));
        bestRouteFileQuote.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                bestRouteFileQuoteActionPerformed(evt);
            }
        });

        bestRouteFileLabel.setText("Best Route File Name");
        bestRouteFileLabel.setMaximumSize(new java.awt.Dimension(210, 30));
        bestRouteFileLabel.setMinimumSize(new java.awt.Dimension(50, 10));
        bestRouteFileLabel.setPreferredSize(new java.awt.Dimension(240, 20));

        fitnessFileLabel.setText("Fitness File");
        fitnessFileLabel.setMaximumSize(new java.awt.Dimension(210, 30));
        fitnessFileLabel.setMinimumSize(new java.awt.Dimension(50, 10));
        fitnessFileLabel.setPreferredSize(new java.awt.Dimension(240, 20));

        fitnessFileQuote.setText("../outputData/fitness.log");
        fitnessFileQuote.setMaximumSize(new java.awt.Dimension(100, 50));
        fitnessFileQuote.setMinimumSize(new java.awt.Dimension(50, 10));
        fitnessFileQuote.setPreferredSize(new java.awt.Dimension(250, 30));
        fitnessFileQuote.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                fitnessFileQuoteActionPerformed(evt);
            }
        });

        labyrinthLabel.setText("Labyrinth Name");
        labyrinthLabel.setMaximumSize(new java.awt.Dimension(210, 30));
        labyrinthLabel.setMinimumSize(new java.awt.Dimension(50, 10));
        labyrinthLabel.setPreferredSize(new java.awt.Dimension(240, 20));

        labyrinthQuote.setText("../labyrinth/square.map");
        labyrinthQuote.setMaximumSize(new java.awt.Dimension(100, 50));
        labyrinthQuote.setMinimumSize(new java.awt.Dimension(50, 10));
        labyrinthQuote.setPreferredSize(new java.awt.Dimension(250, 30));
        labyrinthQuote.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                labyrinthQuoteActionPerformed(evt);
            }
        });

        javax.swing.GroupLayout InformationIOPanelLayout = new javax.swing.GroupLayout(InformationIOPanel);
        InformationIOPanel.setLayout(InformationIOPanelLayout);
        InformationIOPanelLayout.setHorizontalGroup(
            InformationIOPanelLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(InformationIOPanelLayout.createSequentialGroup()
                .addContainerGap()
                .addGroup(InformationIOPanelLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(plannerExecFileLabel, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(plannerExecFileQuote, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(bestRouteFileLabel, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(bestRouteFileQuote, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(fitnessFileLabel, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(fitnessFileQuote, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(labyrinthLabel, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(labyrinthQuote, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );
        InformationIOPanelLayout.setVerticalGroup(
            InformationIOPanelLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(InformationIOPanelLayout.createSequentialGroup()
                .addContainerGap()
                .addComponent(plannerExecFileLabel, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(plannerExecFileQuote, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addGap(30, 30, 30)
                .addComponent(bestRouteFileLabel, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(bestRouteFileQuote, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                .addComponent(fitnessFileLabel, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(fitnessFileQuote, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addGap(34, 34, 34)
                .addComponent(labyrinthLabel, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(labyrinthQuote, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addContainerGap(161, Short.MAX_VALUE))
        );

        copyrightLabel.setText("Long Range Navigator - Version 0.1 - December 2008 by Nicolas Navarro. Contact: nicolas.navarro@gmx.de");
        copyrightLabel.setMaximumSize(new java.awt.Dimension(800, 40));
        copyrightLabel.setMinimumSize(new java.awt.Dimension(50, 10));
        copyrightLabel.setPreferredSize(new java.awt.Dimension(780, 30));

        javax.swing.GroupLayout navigatorTabLayout = new javax.swing.GroupLayout(navigatorTab);
        navigatorTab.setLayout(navigatorTabLayout);
        navigatorTabLayout.setHorizontalGroup(
            navigatorTabLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(navigatorTabLayout.createSequentialGroup()
                .addContainerGap()
                .addGroup(navigatorTabLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(navigatorTabLayout.createSequentialGroup()
                        .addComponent(gaParametersPanel, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(robotParametersPanel, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                        .addComponent(InformationIOPanel, javax.swing.GroupLayout.PREFERRED_SIZE, 280, javax.swing.GroupLayout.PREFERRED_SIZE))
                    .addComponent(copyrightLabel, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addContainerGap(22, Short.MAX_VALUE))
        );
        navigatorTabLayout.setVerticalGroup(
            navigatorTabLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(navigatorTabLayout.createSequentialGroup()
                .addContainerGap()
                .addGroup(navigatorTabLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(InformationIOPanel, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(robotParametersPanel, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(gaParametersPanel, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addGap(18, 18, 18)
                .addComponent(copyrightLabel, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addContainerGap(59, Short.MAX_VALUE))
        );

        jTabbedPane1.addTab("Path Planner", navigatorTab);

        mapperConfigPanel.setBorder(javax.swing.BorderFactory.createTitledBorder(null, "Mapper Configurations", javax.swing.border.TitledBorder.DEFAULT_JUSTIFICATION, javax.swing.border.TitledBorder.DEFAULT_POSITION, new java.awt.Font("DejaVu Sans", 1, 12))); // NOI18N
        mapperConfigPanel.setForeground(new java.awt.Color(0, 0, 16));
        mapperConfigPanel.setMaximumSize(new java.awt.Dimension(300, 550));
        mapperConfigPanel.setPreferredSize(new java.awt.Dimension(280, 500));

        mapperExecFileQuote.setText("../FartShell/");
        mapperExecFileQuote.setMaximumSize(new java.awt.Dimension(100, 50));
        mapperExecFileQuote.setMinimumSize(new java.awt.Dimension(50, 10));
        mapperExecFileQuote.setPreferredSize(new java.awt.Dimension(250, 30));
        mapperExecFileQuote.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                mapperExecFileQuoteActionPerformed(evt);
            }
        });

        mapperExecFileLabel.setText("Mapper executable File");
        mapperExecFileLabel.setMaximumSize(new java.awt.Dimension(210, 30));
        mapperExecFileLabel.setMinimumSize(new java.awt.Dimension(50, 10));
        mapperExecFileLabel.setPreferredSize(new java.awt.Dimension(240, 20));

        mapperSyntaxQuote.setText("java FartShell 0.000001 1 0.95");
        mapperSyntaxQuote.setMaximumSize(new java.awt.Dimension(100, 50));
        mapperSyntaxQuote.setMinimumSize(new java.awt.Dimension(50, 10));
        mapperSyntaxQuote.setPreferredSize(new java.awt.Dimension(250, 30));
        mapperSyntaxQuote.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                mapperSyntaxQuoteActionPerformed(evt);
            }
        });

        mapperSyntaxLabel.setText("Mapper execution syntax");
        mapperSyntaxLabel.setMaximumSize(new java.awt.Dimension(210, 30));
        mapperSyntaxLabel.setMinimumSize(new java.awt.Dimension(50, 10));
        mapperSyntaxLabel.setPreferredSize(new java.awt.Dimension(240, 20));

        closeMapperButton.setText("CLOSE");
        closeMapperButton.setMaximumSize(new java.awt.Dimension(100, 50));
        closeMapperButton.setMinimumSize(new java.awt.Dimension(70, 20));
        closeMapperButton.setPreferredSize(new java.awt.Dimension(95, 40));
        closeMapperButton.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                closeMapperButtonActionPerformed(evt);
            }
        });

        cleanMapperButton.setText("CLEAN");
        cleanMapperButton.setMaximumSize(new java.awt.Dimension(100, 50));
        cleanMapperButton.setMinimumSize(new java.awt.Dimension(70, 20));
        cleanMapperButton.setPreferredSize(new java.awt.Dimension(95, 40));
        cleanMapperButton.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                cleanMapperButtonActionPerformed(evt);
            }
        });

        javax.swing.GroupLayout mapperConfigPanelLayout = new javax.swing.GroupLayout(mapperConfigPanel);
        mapperConfigPanel.setLayout(mapperConfigPanelLayout);
        mapperConfigPanelLayout.setHorizontalGroup(
            mapperConfigPanelLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(mapperConfigPanelLayout.createSequentialGroup()
                .addContainerGap()
                .addGroup(mapperConfigPanelLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, mapperConfigPanelLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                        .addComponent(mapperExecFileLabel, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addComponent(mapperExecFileQuote, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                    .addComponent(mapperSyntaxLabel, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(mapperSyntaxQuote, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addGroup(mapperConfigPanelLayout.createSequentialGroup()
                        .addComponent(closeMapperButton, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, 60, Short.MAX_VALUE)
                        .addComponent(cleanMapperButton, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)))
                .addContainerGap())
        );
        mapperConfigPanelLayout.setVerticalGroup(
            mapperConfigPanelLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(mapperConfigPanelLayout.createSequentialGroup()
                .addContainerGap()
                .addComponent(mapperExecFileLabel, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(mapperExecFileQuote, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addGap(18, 18, 18)
                .addComponent(mapperSyntaxLabel, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(mapperSyntaxQuote, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addGap(18, 18, 18)
                .addGroup(mapperConfigPanelLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                    .addComponent(closeMapperButton, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(cleanMapperButton, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addContainerGap(273, Short.MAX_VALUE))
        );

        copyrightLabel1.setText("Long Range Navigator - Version 0.1 - December 2008 by Nicolas Navarro. Contact: nicolas.navarro@gmx.de");
        copyrightLabel1.setMaximumSize(new java.awt.Dimension(800, 40));
        copyrightLabel1.setMinimumSize(new java.awt.Dimension(50, 10));
        copyrightLabel1.setPreferredSize(new java.awt.Dimension(780, 30));

        javax.swing.GroupLayout mapperTabLayout = new javax.swing.GroupLayout(mapperTab);
        mapperTab.setLayout(mapperTabLayout);
        mapperTabLayout.setHorizontalGroup(
            mapperTabLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(mapperTabLayout.createSequentialGroup()
                .addGap(20, 20, 20)
                .addGroup(mapperTabLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addComponent(copyrightLabel1, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                    .addComponent(mapperConfigPanel, javax.swing.GroupLayout.PREFERRED_SIZE, 280, javax.swing.GroupLayout.PREFERRED_SIZE))
                .addContainerGap(118, Short.MAX_VALUE))
        );
        mapperTabLayout.setVerticalGroup(
            mapperTabLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(mapperTabLayout.createSequentialGroup()
                .addGap(18, 18, 18)
                .addComponent(mapperConfigPanel, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addGap(18, 18, 18)
                .addComponent(copyrightLabel1, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addContainerGap(65, Short.MAX_VALUE))
        );

        jTabbedPane1.addTab("Mapper", mapperTab);

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addComponent(jTabbedPane1, javax.swing.GroupLayout.DEFAULT_SIZE, 842, Short.MAX_VALUE)
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addComponent(jTabbedPane1, javax.swing.GroupLayout.DEFAULT_SIZE, 660, Short.MAX_VALUE)
        );

        pack();
    }// </editor-fold>

// BEGIN_BUTTONS del tab SIMULATION
// START - Aqui se implementan las acciones relacionadas al boton
private void startButtonActionPerformed(java.awt.event.ActionEvent evt) {
// TODO add your handling code here:
}

// STOP - Aqui se implementan las acciones relacionadas al boton
private void stopButtonActionPerformed(java.awt.event.ActionEvent evt) {
// TODO add your handling code here:
}

// RESTART - Aqui se implementan las acciones relacionadas al boton
private void restartButtonActionPerformed(java.awt.event.ActionEvent evt) {
// TODO add your handling code here:
}

// CLEAN - Aqui se implementan las acciones relacionadas al boton
private void clearButtonActionPerformed(java.awt.event.ActionEvent evt) {
// TODO add your handling code here:
}
// END_BUTTONS del tab SIMULATION

// BEGIN_MOTIVATIONS
// BATTERY - Aqui se implementan el manejo de la motivaciones
private void batteryQuoteActionPerformed(java.awt.event.ActionEvent evt) {
// TODO add your handling code here:
}
// CURIOSITY - Aqui se implementan el manejo de la motivaciones
private void curiosityQuoteActionPerformed(java.awt.event.ActionEvent evt) {
// TODO add your handling code here:
}
// RISK - Aqui se implementan el manejo de la motivaciones
private void riskQuoteActionPerformed(java.awt.event.ActionEvent evt) {
// TODO add your handling code here:
}
// MISION - Aqui se implementan el manejo de la motivaciones
private void missionQuoteActionPerformed(java.awt.event.ActionEvent evt) {
// TODO add your handling code here:
}
// END_MOTIVATIONS

// BEGIN_TAB-NAVIGATOR
// BEGIN_GENETIC ALGORITHM PARAMETERS
private void generationQuoteActionPerformed(java.awt.event.ActionEvent evt) {                                               
// TODO add your handling code here:
}                                              

private void populationQuoteActionPerformed(java.awt.event.ActionEvent evt) {                                               
// TODO add your handling code here:
}                                              

private void CrossoverQuoteActionPerformed(java.awt.event.ActionEvent evt) {                                              
// TODO add your handling code here:
}                                             

private void mutationQuoteActionPerformed(java.awt.event.ActionEvent evt) {                                             
// TODO add your handling code here:
}                                            

private void selectionMethodQuoteActionPerformed(java.awt.event.ActionEvent evt) {                                                    
// TODO add your handling code here:
} 
// END_GENETIC_ALGORITHM_PARAMETERS_PANEL

// BEGIN_ROBOT_PARAMETERS_PANEL
private void motorNoiseQuoteActionPerformed(java.awt.event.ActionEvent evt) {                                               
// TODO add your handling code here:
}                                              

private void sensorNoiseQuoteActionPerformed(java.awt.event.ActionEvent evt) {                                                
// TODO add your handling code here:
}                                               

private void batteryLevelQuoteActionPerformed(java.awt.event.ActionEvent evt) {                                                 
// TODO add your handling code here:
}

private void actionNumberQuoteActionPerformed(java.awt.event.ActionEvent evt) {                                                 
// TODO add your handling code here:
}

private void powerForwardQuoteActionPerformed(java.awt.event.ActionEvent evt) {                                                 
// TODO add your handling code here:
}

private void powerTurnQuoteActionPerformed(java.awt.event.ActionEvent evt) {                                              
// TODO add your handling code here:
}

private void powerReverseQuoteActionPerformed(java.awt.event.ActionEvent evt) {                                                 
// TODO add your handling code here:
}

private void powerFreezeQuoteActionPerformed(java.awt.event.ActionEvent evt) {                                                
// TODO add your handling code here:
}
// END_ROBOT_PARAMETERS_PANEL

// BEGIN_INFORMATION_IO_PANEL
private void plannerExecFileQuoteActionPerformed(java.awt.event.ActionEvent evt) {                                                    
// TODO add your handling code here:
}

private void labyrinthQuoteActionPerformed(java.awt.event.ActionEvent evt) {                                              
// TODO add your handling code here:
}

private void bestRouteFileQuoteActionPerformed(java.awt.event.ActionEvent evt) {                                                  
// TODO add your handling code here:
}

private void fitnessFileQuoteActionPerformed(java.awt.event.ActionEvent evt) {                                                
// TODO add your handling code here:
}
// END_INFORMATION_IO_PANEL
// END_TAB-NAVIGATOR

// BEGIN_TAB-MAPPER
// BEGIN_MAPPER_PANEL
private void mapperExecFileQuoteActionPerformed(java.awt.event.ActionEvent evt) {
// TODO add your handling code here:
}

private void mapperSyntaxQuoteActionPerformed(java.awt.event.ActionEvent evt) {
// TODO add your handling code here:
}

private void closeMapperButtonActionPerformed(java.awt.event.ActionEvent evt) {
// TODO add your handling code here:
}

private void cleanMapperButtonActionPerformed(java.awt.event.ActionEvent evt) {
// TODO add your handling code here:
}
// END_MAPPER_PANEL
// END_TAB-MAPPER
    /**
    * @param args the command line arguments
    */
    public static void main(String args[]) {
        java.awt.EventQueue.invokeLater(new Runnable() {
            public void run() {
                new GraphicEnvironment().setVisible(true);
            }
        });
        //String tempExec = "../FartShell/java FartShell 0.000001 1 0.95";
        String tempExec;
        tempExec = new String(mapperExecFileQuote.getText());
        tempExec = tempExec.concat(mapperSyntaxQuote.getText());
        ProgramManager mapper = new ProgramManager(tempExec);
        mapper.run();

        tempExec = new String(plannerExecFileQuote.getText());
        ProgramManager navigator = new ProgramManager(tempExec);
        navigator.run();
    }

    // Variables declaration - do not modify
    private javax.swing.JTabbedPane jTabbedPane1;

    private javax.swing.JPanel simulationTab;
    private javax.swing.JButton startButton;
    private javax.swing.JButton stopButton;
    private javax.swing.JButton restartButton;
    private javax.swing.JButton clearButton;
    private javax.swing.JPanel motivationsPanel;
    private javax.swing.JLabel batteryLabel;
    private static javax.swing.JTextField batteryQuote;
    private javax.swing.JLabel curiosityLabel;
    private static javax.swing.JTextField curiosityQuote;
    private javax.swing.JLabel riskLabel;
    private static javax.swing.JTextField riskQuote;
    private javax.swing.JLabel missionLabel;
    private static javax.swing.JTextField missionQuote;
    private GlobalMap globalMapPanel;
    private RecognizedMap recongnizedMapPanel;

    private javax.swing.JPanel navigatorTab;
    private javax.swing.JPanel gaParametersPanel;
    private javax.swing.JLabel generationLabel;
    private static javax.swing.JTextField generationQuote;
    private javax.swing.JLabel populationLabel;
    private static javax.swing.JTextField populationQuote;
    private javax.swing.JLabel CrossoverLabel;
    private static javax.swing.JTextField CrossoverQuote;
    private javax.swing.JLabel crossoverHelpLabel;
    private javax.swing.JLabel mutationHelpLabel;
    private javax.swing.JLabel mutationLabel;
    private static javax.swing.JTextField mutationQuote;
    private javax.swing.JLabel selectionMethodLabel;
    private static javax.swing.JTextField selectionMethodQuote;
    private javax.swing.JLabel selectionNoneLabel;
    private javax.swing.JLabel slectionEliteLabel;
    private javax.swing.JLabel selectionTournamentLabel;
    private javax.swing.JLabel selectionTourEliteLabel;

    private javax.swing.JLabel robotParametersHelpLabel;
    private javax.swing.JPanel robotParametersPanel;
    private javax.swing.JLabel motorNoiseLabel;
    private static javax.swing.JTextField motorNoiseQuote;
    private javax.swing.JLabel sensorNoiseLabel;
    private static javax.swing.JTextField sensorNoiseQuote;
    private javax.swing.JLabel energyConfLabel;
    private javax.swing.JLabel batteryLevelLabel;
    private static javax.swing.JTextField batteryLevelQuote;
    private javax.swing.JLabel actionNumberLabel;
    private static javax.swing.JTextField actionNumberQuote;
    private javax.swing.JLabel powerForwardLabel;
    private static javax.swing.JTextField powerForwardQuote;
    private javax.swing.JLabel powerTurnLabel;
    private static javax.swing.JTextField powerTurnQuote;
    private javax.swing.JLabel powerReverseLabel;
    private static javax.swing.JTextField powerReverseQuote;
    private javax.swing.JLabel powerFreezeLabel;
    private static javax.swing.JTextField powerFreezeQuote;

    private javax.swing.JPanel InformationIOPanel;
    private javax.swing.JLabel plannerExecFileLabel;
    private static javax.swing.JTextField plannerExecFileQuote;
    private javax.swing.JLabel bestRouteFileLabel;
    private static javax.swing.JTextField bestRouteFileQuote;
    private javax.swing.JLabel fitnessFileLabel;
    private static javax.swing.JTextField fitnessFileQuote;
    private javax.swing.JLabel labyrinthLabel;
    private static javax.swing.JTextField labyrinthQuote;
    private javax.swing.JLabel copyrightLabel;
    private javax.swing.JLabel copyrightLabel1;

    private javax.swing.JPanel mapperTab;
    private javax.swing.JPanel mapperConfigPanel;
    private javax.swing.JLabel mapperExecFileLabel;
    private static javax.swing.JTextField mapperExecFileQuote;
    private javax.swing.JLabel mapperSyntaxLabel;
    private static javax.swing.JTextField mapperSyntaxQuote;
    private javax.swing.JButton cleanMapperButton;
    private javax.swing.JButton closeMapperButton;
    // End of variables declaration
}
